﻿using System;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace Module3.ViewModels
{
	public class DataItem 
	{
		public DataItem()
		{
			Children = new ObservableCollection<DataItem>();
		}
		public ElementType Type { get; set; }
		public string Text { get; set; }
		public ObservableCollection<DataItem> Children { get; set; }
		public DelegateCommand MyCommand { get; set; }
	}

	public enum ElementType
	{
		Button,
		SplitButton,
		DropDownButton,
		ComboBox
	}
}
