﻿using System;
using Module1.Views;
using Microsoft.Practices.Prism.Modularity;
using Microsoft.Practices.Prism.MefExtensions.Modularity;
using System.ComponentModel.Composition;
using Microsoft.Practices.Prism.Regions;

namespace Module1
{
	[ModuleExport(typeof(Module1))]
	public class Module1 : IModule
	{
		[Import]
		public IRegionManager regionManager { private get; set; }

		public void Initialize()
		{
			// Registers views here
			regionManager.RegisterViewWithRegion("RibbonRegion", typeof(Module1View));

		}
	}
}
