﻿using System;
using Module4.Views;
using Microsoft.Practices.Prism.Regions;
using Microsoft.Practices.Prism.MefExtensions.Modularity;
using Microsoft.Practices.Prism.Modularity;
using System.ComponentModel.Composition;

namespace Module4
{
    [ModuleExport(typeof(Module4))]
    public class Module4 : IModule
    {
        [Import]
        public IRegionManager regionManager { private get; set; }

        public void Initialize()
        {
            // Registers views here
            regionManager.RegisterViewWithRegion("MainRegion", typeof(Module4View));
        }
    }
}
